<?php
header('Content-Type: application/json');
$servername = "mysql.receitafazendasmeiweb.kinghost.net"; // Altere se necessário
$username = "receitafaz_add1"; // Usuário do banco de dados
$password = "963852j"; // Senha do banco de dados
$database = "receitafazenda"; // Nome do banco de dados

try {
    // Conexão com o banco de dados usando PDO
    $pdo = new PDO("mysql:host=$host;dbname=$dbname;charset=utf8", $username, $password);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Consulta para obter a chave Pix
    $sql = "SELECT chavePix FROM dados_pix ORDER BY id DESC LIMIT 1";
    $stmt = $pdo->query($sql);

    // Verifica se há resultado
    if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
        echo json_encode(['chavepix' => $row['chavePix']]);
    } else {
        echo json_encode(['error' => 'Nenhuma chave Pix encontrada.']);
    }
} catch (PDOException $e) {
    // Em caso de erro, retorna uma mensagem de erro
    echo json_encode(['error' => 'Erro na conexão com o banco de dados: ' . $e->getMessage()]);
}
?>